Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

x/tools/cmd/goimports: doesn't work for Go 1.4 and below #16434

Closed
kortschak opened this issue Jul 20, 2016 · 3 comments
Closed

x/tools/cmd/goimports: doesn't work for Go 1.4 and below #16434

kortschak opened this issue Jul 20, 2016 · 3 comments
Milestone

Comments

@kortschak
Copy link
Contributor

@kortschak kortschak commented Jul 20, 2016

I don't know if this is considered a concern, but golang/tools@edf8e6f breaks goimport use on go version < 1.5 because of the absence of the runtime/trace package before 1.5.

/cc @bradfitz

@bradfitz
Copy link
Contributor

@bradfitz bradfitz commented Jul 20, 2016

This is fixable, but we try to only support three releases at a time (the dev release, and last two stable ones), which means supporting things anywhere from 12-18 months.

https://build.golang.org only runs tests for Go 1.5 and above, so we have no visibility into Go 1.4 and below breakages at the moment. (which was an explicit decision earlier when we were deciding what to build) And shortly even Go 1.5 will become unsupported.

I'd take a change if you want to send one, but without a test keeping it working, it might regress again.

@bradfitz bradfitz added this to the Unreleased milestone Jul 20, 2016
@bradfitz bradfitz changed the title x/tools/cmd/goimports x/tools/cmd/goimports: doesn't work for Go 1.4 and below Jul 20, 2016
@kortschak
Copy link
Contributor Author

@kortschak kortschak commented Jul 20, 2016

I'm not particularly fussed. You will have noticed where we've seen this and in that that any requirement for 1.4 will go away when 1.7 is released since we also only support 3 releases at most.

You're welcome to close this if it's not important to you.

(sorry for the mangled issue name - swapped thought and failed to return).

@bradfitz
Copy link
Contributor

@bradfitz bradfitz commented Jul 20, 2016

Okay, will close. Anybody else who is fussed can send a CL.

@bradfitz bradfitz closed this Jul 20, 2016
jmhodges added a commit to jmhodges/pq that referenced this issue Aug 30, 2016
goimports no longer supports building on Go 1.4 and is broken
there. golang/go#16434

So, we add a little wrapper command to ignore it on those builds.
@golang golang locked and limited conversation to collaborators Jul 20, 2017
Sign up for free to subscribe to this conversation on GitHub. Already have an account? Sign in.
Projects
None yet
Linked pull requests

Successfully merging a pull request may close this issue.

None yet
3 participants
You can’t perform that action at this time.